<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('stake_plans', function (Blueprint $table) {
            $table->id();

            $table->boolean('status')->default(true);
            $table->string('title');

            $table->foreignId('wallet_id')
                ->constrained('wallets')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('stake_plans');
    }
};
